Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ScrollableDataTableBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.ScrollableDataTableBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ScrollableDataTableRenderer

    public abstract class ScrollableDataTableBaseRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  Anton Belevich

Field Summary
`static java.lang.String` | `FOOTER_PART`
`static java.lang.String` | `HEADER_PART`
`static java.lang.String` | `PARTIAL_UPDATE`
`static java.lang.String` | `UPDATE_HEADER`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ScrollableDataTableBaseRenderer()`

Method Summary
`void` | `contributorsEncodeHere(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`java.lang.String` | `createClientScrollableGrid(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`java.lang.String` | `getFormattedWidth(java.lang.String receivedWidth)`
`static java.lang.String` | `getJavaScriptVarName(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`static java.lang.String` | `getNormalizedId(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`boolean` | `getRendersChildren()`
`java.lang.String` | `getRowsAjaxUpdate(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`protected java.lang.String` | `getScriptContributions(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
`void` | `renderAjaxChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `renderFooters(javax.faces.context.FacesContext context, UIScrollableDataTable grid, boolean isFrozen)`
`void` | `renderGridBody(javax.faces.context.FacesContext context, UIScrollableDataTable grid, boolean isFrozen)`
`void` | `renderHeaders(javax.faces.context.FacesContext context, UIScrollableDataTable grid, boolean isFrozen)`
`void` | `renderHiddenScrollInput(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`void` | `renderStyle(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`void` | `setUpColumnsWidth(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`void` | `setUpState(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`
`void` | `tearDownState(javax.faces.context.FacesContext context, UIScrollableDataTable grid)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARTIAL_UPDATE

    public static final java.lang.String PARTIAL_UPDATE

See Also:
  Constant Field Values

### UPDATE_HEADER

    public static final java.lang.String UPDATE_HEADER

See Also:
  Constant Field Values

### FOOTER_PART

    public static final java.lang.String FOOTER_PART

See Also:
  Constant Field Values

### HEADER_PART

    public static final java.lang.String HEADER_PART

See Also:
  Constant Field Values

Constructor Detail

### ScrollableDataTableBaseRenderer

    public ScrollableDataTableBaseRenderer()

Method Detail

### getScripts

    protected org.ajax4jsf.resource.InternetResource[] getScripts()

  Overrides:
    `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getFormattedWidth

    public java.lang.String getFormattedWidth(java.lang.String receivedWidth)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getJavaScriptVarName

    public static java.lang.String getJavaScriptVarName(javax.faces.context.FacesContext context,
                                                        UIScrollableDataTable grid)

### getNormalizedId

    public static java.lang.String getNormalizedId(javax.faces.context.FacesContext context,
                                                   UIScrollableDataTable grid)

### createClientScrollableGrid

    public java.lang.String createClientScrollableGrid(javax.faces.context.FacesContext context,
                                                       UIScrollableDataTable grid)

### getScriptContributions

    protected java.lang.String getScriptContributions(javax.faces.context.FacesContext context,
                                                      UIScrollableDataTable grid)

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### renderGridBody

    public void renderGridBody(javax.faces.context.FacesContext context,
                               UIScrollableDataTable grid,
                               boolean isFrozen)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderHeaders

    public void renderHeaders(javax.faces.context.FacesContext context,
                              UIScrollableDataTable grid,
                              boolean isFrozen)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderStyle

    public void renderStyle(javax.faces.context.FacesContext context,
                            UIScrollableDataTable grid)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderFooters

    public void renderFooters(javax.faces.context.FacesContext context,
                              UIScrollableDataTable grid,
                              boolean isFrozen)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setUpState

    public void setUpState(javax.faces.context.FacesContext context,
                           UIScrollableDataTable grid)

### tearDownState

    public void tearDownState(javax.faces.context.FacesContext context,
                              UIScrollableDataTable grid)

### getRowsAjaxUpdate

    public java.lang.String getRowsAjaxUpdate(javax.faces.context.FacesContext context,
                                              UIScrollableDataTable grid)

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### renderAjaxChildren

    public void renderAjaxChildren(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### setUpColumnsWidth

    public void setUpColumnsWidth(javax.faces.context.FacesContext context,
                                  UIScrollableDataTable grid)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderHiddenScrollInput

    public void renderHiddenScrollInput(javax.faces.context.FacesContext context,
                                        UIScrollableDataTable grid)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### contributorsEncodeHere

    public void contributorsEncodeHere(javax.faces.context.FacesContext context,
                                       UIScrollableDataTable grid)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.